=== modified file 'NEWS'
--- NEWS	2007-08-24 09:54:27 +0000
+++ NEWS	2007-08-24 11:48:03 +0000
@@ -16,6 +16,8 @@
   * Added "update" menu item in Olive. (Mateusz Korniak)
   
   * New Olive application icon. (Simon Pascal Klein)
+  
+  * Show bzr viz interface quickly. (Gary van der Merwe)
 
  UI
   

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2007-07-21 18:40:41 +0000
+++ viz/branchwin.py	2007-08-24 11:48:03 +0000
@@ -172,11 +172,15 @@
                                    gobject.TYPE_PYOBJECT,
                                    str, str, str)
         self.index = {}
+        self.set_title(branch.nick + " - bzrk")
+        gobject.idle_add(self.populate_model, start, maxnum)
+
+    def populate_model(self, start, maxnum):
         index = 0
-
+        
         last_lines = []
         (self.revisions, colours, self.children, self.parent_ids,
-            merge_sorted) = distances(branch.repository, start)
+            merge_sorted) = distances(self.branch.repository, start)
         for (index, (revision, node, lines)) in enumerate(graph(
                 self.revisions, colours, merge_sorted)):
             # FIXME: at this point we should be able to show the graph order
@@ -193,10 +197,10 @@
             last_lines = lines
             if maxnum is not None and index > maxnum:
                 break
-
-        self.set_title(branch.nick + " - bzrk")
         self.treeview.set_model(self.model)
-
+        return False
+    
+    
     def _treeview_cursor_cb(self, *args):
         """Callback for when the treeview cursor changes."""
         (path, col) = self.treeview.get_cursor()

